Loading...
Searching...
No Matches
bssgp_ran_inf_req_rim_cont Struct Reference

`#include <gprs_bssgp_rim.h>`

## Data Fields

enum bssgp_ran_inf_app_id | app_id
uint32_t | seq_num
struct bssgp_rim_pdu_ind | pdu_ind
uint8_t | prot_ver
union { |
struct bssgp_ran_inf_req_app_cont_nacc app_cont_nacc |
} | u
const uint8_t * | son_trans_app_id
size_t | son_trans_app_id_len

## Field Documentation

## app_cont_nacc

struct bssgp_ran_inf_req_app_cont_nacc bssgp_ran_inf_req_rim_cont::app_cont_nacc

Referenced by bssgp_dec_ran_inf_req_rim_cont(), and bssgp_enc_ran_inf_req_rim_cont().

## app_id

enum bssgp_ran_inf_app_id bssgp_ran_inf_req_rim_cont::app_id

Referenced by bssgp_dec_ran_inf_req_rim_cont(), and bssgp_enc_ran_inf_req_rim_cont().

## pdu_ind

struct bssgp_rim_pdu_ind bssgp_ran_inf_req_rim_cont::pdu_ind

## prot_ver

uint8_t bssgp_ran_inf_req_rim_cont::prot_ver

## seq_num

uint32_t bssgp_ran_inf_req_rim_cont::seq_num

## son_trans_app_id

const uint8_t* bssgp_ran_inf_req_rim_cont::son_trans_app_id

Referenced by bssgp_dec_ran_inf_req_rim_cont(), and bssgp_enc_ran_inf_req_rim_cont().

## son_trans_app_id_len

size_t bssgp_ran_inf_req_rim_cont::son_trans_app_id_len

Referenced by bssgp_dec_ran_inf_req_rim_cont(), and bssgp_enc_ran_inf_req_rim_cont().

## [union]

union { ... } bssgp_ran_inf_req_rim_cont::u

Referenced by bssgp_dec_ran_inf_req_rim_cont(), and bssgp_enc_ran_inf_req_rim_cont().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/gprs_bssgp_rim.h